<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"  
xmlns:marc="http://www.loc.gov/MARC21/slim"
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes" />
	
	
	<xsl:template match="/">
    <marc:collection
			xmlns:marc="http://www.loc.gov/MARC21/slim"
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xsi:schemaLocation="http://www.loc.gov/MARC21/slim http://www.loc.gov/standards/marcxml/schema/MARC21slim.xsd">
      <marc:record>
        
        <xsl:variable name="oclcleader" select="/cdfrec/a/text()" />
        <marc:leader>00000<xsl:value-of select="substring($oclcleader, 1, 5)" />2200000<xsl:value-of select="substring($oclcleader, 6, 3)" />4500</marc:leader>
        <xsl:for-each select="cdfrec/*">
          <xsl:choose>
            <xsl:when test="starts-with(local-name(.), 'c')">
              <marc:controlfield>
                <xsl:attribute name="tag">
                  <xsl:value-of select="substring(local-name(.), 2)" />
                </xsl:attribute>
                <xsl:value-of select="."/>
              </marc:controlfield>
            </xsl:when>
            <xsl:when test="starts-with(local-name(.), 'v')">
              <marc:datafield>
                <xsl:attribute name="tag">
                  <xsl:value-of select="substring(local-name(.), 2)"/>
                </xsl:attribute>
                <xsl:attribute name="ind1">
                  <xsl:value-of select="@i1"/>
                </xsl:attribute>
                <xsl:attribute name="ind2">
                  <xsl:value-of select="@i2"/>
                </xsl:attribute>
                <xsl:for-each select="*">
                  <marc:subfield>
                    <xsl:variable name="subfield" select="substring(local-name(.), 2)" />
                    <xsl:attribute name="code">
                      <xsl:value-of select="$subfield"/>
                    </xsl:attribute>
                      <xsl:value-of select="./d/text()" />
                  </marc:subfield>
                </xsl:for-each>
              </marc:datafield>
            </xsl:when>
            <xsl:otherwise />
          </xsl:choose>
        </xsl:for-each>
      </marc:record>
    </marc:collection>
	</xsl:template>
</xsl:stylesheet>